Summary
Creates a new template document.
Description
Creates a new template document.
Route
POST /automation-studio/templates
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| template |
object |
yes |
Template entity to create. |
Copied to Clipboard
{
"template": {
"name": "test",
"group": "Sample group",
"command": "show ip br",
"description": "description",
"template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record",
"data": "some sample text to match against",
"type": "test",
"_id": "f3C621E5F4c5Bb3D7cDeA5Eb",
"namespace": {
"type": "project",
"name": "aliquip cupidatat anim",
"accessControl": {
"read": [
"sed",
"laborum",
"reprehenderit eu"
],
"write": [
"ut laborum",
"enim elit consectetur",
"quis anim sunt"
],
"execute": [
"officia id",
"reprehenderit",
"sed laborum ut nulla"
],
"manage": [
"cillum",
"deserunt et mollit incididunt",
"exercitation in proident",
"id velit dolor mollit incididunt"
]
}
},
"createdBy": "f4ff437FefF3DfE7B4ff298b",
"created": "2019-11-25T22:51:39.201Z",
"lastUpdatedBy": "f6b9F3dfd949CF10867dca77",
"lastUpdated": "2019-11-25T22:51:39.201Z",
"version": 1,
"tags": [
{
"_id": "5cDbA98dB8FaA0A4F51AcbDA",
"name": "laboris"
},
{
"_id": "0A9f62fdb64Fbe53957c5f64",
"name": "esse"
}
]
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"template": {
"title": "template",
"$ref": "template"
}
},
"required": [
"template"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Created template and associated edit URI. |
Copied to Clipboard
{
"created": {
"name": "test",
"group": "Sample group",
"command": "show ip br",
"description": "description",
"template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record",
"data": "some sample text to match against",
"type": "test",
"_id": "A5a52cAB40A1ac3cF35eF5eC",
"namespace": {
"type": "project",
"name": "enim nostrud aliquip labore",
"accessControl": {
"read": [
"ex",
"aute sint aliquip dolore"
],
"write": [
"dolore fugiat in ut veniam",
"minim",
"anim voluptate exercitation irure ut",
"adipisicing commodo fugiat"
],
"execute": [
"nulla Duis velit reprehenderit",
"non",
"eiusmod qui irure Ut Excepteur",
"Lorem elit consectetur Duis eiusmod",
"ad quis dolore eu aute"
],
"manage": [
"anim commodo",
"dolor in",
"fugiat Ut",
"enim aliquip Ut"
]
}
},
"createdBy": "c4e6A5F34ACef2de5c474Ae5",
"created": "2019-11-25T22:51:39.201Z",
"lastUpdatedBy": "C4c015c95b5becfa3d3d628f",
"lastUpdated": "2019-11-25T22:51:39.201Z",
"version": 1,
"tags": [
{
"_id": "A6AabDac3CA4a701c42Ed41F",
"name": "aliqua exercitation voluptate ad ea"
},
{
"_id": "BF308EfEDeF6C775cdac0602",
"name": "cupidatat magna"
},
{
"_id": "f84AE2aAEBe821B0a664f02C",
"name": "aliqua deserunt"
},
{
"_id": "9Ec0DAE3f656212a1EABde2f",
"name": "elit"
},
{
"_id": "01CFAbeAD5Ce3a1faEC5fcEB",
"name": "ut eu"
}
]
},
"edit": "id exercitation"
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"description": "Created template and associated edit URI.",
"properties": {
"created": {
"$ref": "template"
},
"edit": {
"type": "string",
"description": "URI to the edit page for the newly created template."
}
},
"required": [
"created",
"edit"
]
}